<?php
/*--------------------------------------------+
| PHP-Fusion 5 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (!checkrights("IP")) fallback("../index.php");

if (file_exists(INFUSIONS."person_database/locale/".$settings['language'].".php")) {
	include INFUSIONS."person_database/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."person_database/locale/English.php";
}

if (!isset($step)) $step = "";

if ($step == "delete") {
	$sql = dbquery("DELETE FROM ".$db_prefix."person_database WHERE person_id='$person_id'");
		header("Location: ".FUSION_SELF);
}
if ($step == "view") {
	if (!$person_id || !isNum($person_id)) { header("Location: ".FUSION_SELF); exit; }
	opentable($locale['PERS_100']);
	$data = dbarray(dbquery(
		"SELECT ter.*, user_id,user_name FROM ".$db_prefix."person_database ter
		LEFT JOIN ".$db_prefix."users tusr ON ter.person_user=tusr.user_id
		WHERE person_id='".$person_id."'"
	));
	echo "<table width='100%' cellpadding='0' cellspacing='1' class='tbl-border'>
<tr>
<td colspan='2' class='tbl2' style='font-weight:bold'>".$data['person_summary']."</td>
</tr>
<tr>
<td width='135' class='tbl2'>".$locale['PERS_102']."</td>
<td class='tbl1'>".$data['person_vej']."</td>
</tr>
<tr>
<td width='135' class='tbl2'>".$locale['PERS_103']."</td>
<td class='tbl1'>".$data['person_ponr']."</td>
</tr>
<tr>
<td width='135' class='tbl2'>".$locale['PERS_104']."</td>
<td class='tbl1'>".$data['person_bynavn']."</td>
</tr>
<tr>
<td width='135' class='tbl2'>".$locale['PERS_105']."</td>
<td class='tbl1'>".$data['person_tele']."</td>
</tr>
<tr>
<td width='135' class='tbl2'>".$locale['PERS_106']."</td>
<td class='tbl1'>".$data['person_mobil']."</td>
</tr>
<tr>
<td width='135' class='tbl2'>".$locale['PERS_107']."</td>
<td class='tbl1'>".$data['person_email']."</td>
</tr>
<tr>
<td width='135' class='tbl2'>".$locale['PERS_108']."</td>
<td class='tbl1'>".$data['person_nummer']."</td>
</tr>
<tr>
<td width='135' class='tbl2'>".$locale['PERS_109']."</td>
<td class='tbl1'>".$data['person_indmeldt']."</td>
</tr>
<tr>
<td width='135' class='tbl2'>".$locale['PERS_110']."</td>
<td class='tbl1'>".$data['person_betalt']."</td>
</tr>
<tr>
<td width='135' class='tbl2' valign='top'>".$locale['PERS_111']."</td>
<td class='tbl1'>".nl2br($data['person_description'])."</td>
</tr>
<tr>
<td width='135' class='tbl2'>".$locale['PERS_132']."</td>
<td class='tbl1'><a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a> -
".strftime($settings['longdate'], $data['person_datestamp']+($settings['timeoffset']*3600))."</td>
</tr></table>\n";
	closetable();
	tablebreak();
	
}
opentable($locale['PERS_100']);
$sql = dbquery(
	"SELECT ter.*, user_id,user_name FROM ".$db_prefix."person_database ter
	LEFT JOIN ".$db_prefix."users tusr ON ter.person_user=tusr.user_id
	ORDER BY person_summary ASC"
);
if (dbrows($sql)) {
	$i = 0;
	echo "<table width='100%' cellpadding='0' cellspacing='1' class='tbl-border'>
<tr>
<td class='tbl2'>".$locale['PERS_101']."</td>
<td align='center' width='150' class='tbl2'>".$locale['PERS_132']."</td>
<td align='center' width='100' class='tbl2'>".$locale['PERS_130']."</td>
</tr>\n";
	while ($data = dbarray($sql)) {
		$i % 2 == 0 ? $tclass="tbl1" : $tclass="tbl2";
		echo "<tr>
<td class='$tclass'><a href='".FUSION_SELF."?step=view&person_id=".$data['person_id']."'>".$data['person_summary']."</a>, ".$data['person_bynavn']." 
<span class='small2'>(<a href='mailto:".$data['person_email']."'>E-Mail</a>)</span></td>
<td align='center' class='$tclass'><a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a></td>
<td align='center' class='$tclass'><a href='".FUSION_SELF."?step=delete&person_id=".$data['person_id']."'>".$locale['PERS_131']."</a></td>
</tr>\n";
	}
	echo "</table>\n";
} else {
	echo "<div style='text-align:center'><br />\n".$locale['PERS_141']."<br /><br />\n</div>\n";
}
closetable();

echo "</td>\n";
require_once BASEDIR."footer.php";
?>